<?php

// $hostname = "localhost";
// $username = "username";
// $password = "password";
// $databasename = "databasename";
// $mysqli = new mysqli($hostname, $username, $password, $databasename);

require_once('../../all/allNew.php');

// for JSONp with GET
header('Content-type: text/javascript');

$type = isset($_GET["type"]) ? $_GET["type"] : "get";

if ($type == "get") {
    $data = isset($_GET["data"]) ? $_GET["data"] : "";
} else {
    $data = isset($_POST["data"]) ? $_POST["data"] : "";
}

$obj = json_decode($data);

// '{"id1":{"prop1":"value", "prop2":"value"}, "id2":{"prop3":"value"}}'
$name = $obj->name->text;
$count = $obj->count->currentValue;
$color = $obj->color->selectedColor;

$query = "INSERT INTO zim_learn_form (id, name, count, color) VALUES (NULL, ?, ?, ?)";
$stmt = $mysqli->stmt_init();
if ($stmt->prepare($query)) {
    $stmt->bind_param("sis", $name, $count, $color); // matches the ? in the query
    $stmt->execute();

    $json = '{"success":"true"}';
    echo $type == "get" ? "async.callbackTo($json)" : $json;
} else {
    $json = '{"error":"could not add data"}';
    echo $type == "get" ? "async.callbackTo($json)" : $json;
}

?>
