<?php

    // $hostname = "localhost"; // do NOT change this
    // $username = "username"; // change these
    // $password = "password"; // change these
    // $databasename = "databasename"; // change these
    // $mysqli = new mysqli($hostname, $username, $password, $databasename);

    // use above and remove this
    require_once('../../all/allNew.php');

    $visitor = isset($_POST["visitor"]) ? $_POST["visitor"] : "";
    $count = isset($_POST["count"]) ? $_POST["count"] : 0;

    // create our query but put a ? wherever user information would go (visitor and count)
    // also, change the tablename to your tablename
    // the id can be null if it has been set to auto-increment in the table structure
    $query = "INSERT INTO zim_learn_sample (id, visitor, date, count) VALUES (NULL, ?, CURDATE(), ?)";

    // use MySQLi "prepared statements" to bind the user data to the statement
    // create, prepare, bind, execute and close a statement (sorry for the complexity!)
    $stmt = $mysqli->stmt_init();
    if ($stmt->prepare($query)) {
        $stmt->bind_param("si", $visitor, $count); // matches the ? in the query
        // options for the letters are s, i, b - string, integer, blob (picture)
        $stmt->execute();
        $stmt->close(); // if we are doing another statement
        echo "Thank you";
    } else {
        echo "Oops, an error";
    }
?>
