<!DOCTYPE html>
<html lang="en" dir="ltr">
    <head>
        <meta charset="utf-8">
        <title>ZIM Skool - Data - HTML DOM Form Results</title>
        <style media="screen">
            body {
                padding:40px;
                background-color:#ebcb35;
                /* font-family:impact; font-size:100px; */
            }
            span {
                font-family:impact; font-size:100px;
            }
            table {
                width:600px;
                padding:8px;
                background-color: #f58e25;
            }
            td, th {
                background-color:rgba(0,0,0,.2);
                font-family:verdana;
                color:white;
                padding:10px;
                size:30px;
                text-align: center;
            }
            th {background-color:rgba(0,0,0,.3);}
        </style>
    </head>
    <body>

<?php

// $hostname = "localhost";
// $username = "username";
// $password = "password";
// $databasename = "databasename";
// $mysqli = new mysqli($hostname, $username, $password, $databasename);

require_once('../../all/allNew.php');

$name = isset($_GET["name"]) ? $_GET["name"] : "";
$count = isset($_GET["count"]) ? $_GET["count"] : "";
$color = isset($_GET["color"]) ? $_GET["color"] : "";

$query = "INSERT INTO zim_learn_form (id, name, count, color) VALUES (NULL, ?, ?, ?)";
$stmt = $mysqli->stmt_init();
if ($stmt->prepare($query)) {
    $stmt->bind_param("sis", $name, $count, $color); // matches the ? in the query
    $stmt->execute();
    $stmt->close(); // as we are doing another statement

    echo "<span>THANKS SPORT!</span>";
} else {
    echo "<span>OOPS!  DATA NOT COLLECTED</span>";
}

// show the top ten counts of entries with the same color as submitted by user
// bind the color since it comes from the client

$query = "SELECT name, count, color FROM zim_learn_form WHERE color=? ORDER BY count DESC LIMIT 10";

$stmt = $mysqli->stmt_init();
if ($stmt->prepare($query)) {
	$stmt->bind_param("s", $color); // matches the ? in the query
	$stmt->execute();

	$stmt->bind_result($tempName, $tempCount, $tempColor); // order matches the fields we selected
	echo "<br><br><table>
			<tr><th>NAME</th><th>COUNT</th><th>COLOR</th></tr>";
	while ($stmt->fetch()) {
		echo "<tr>
				<td>".$tempName."</td>
				<td>".$tempCount."</td>
                <td>".$tempColor."</td>
			  </tr>\n";
	}
	echo "</table>";
	$stmt->close();
} else {
	$error = "Sorry could not retrieve scores";  echo $error;  return;
}

?>

</body>
</html>
